v2.0
get
/ec-ors-svc/rest/v2.0/studies/{studyId}/{mode}/subjects/{srcSubjectId}/unblinded-disp-history
Retrieves history of unblinded dispensation for a subject within the study. Rights: OrsSubjectVisitGet.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
srcSubjectId(required): string(uuid)
Unique subject identifier (UUID, 32-character uppercase hexadecimal string) representing the patient/participant enrolled in the study.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Query Parameters
-
visitId(required): string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the visit
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : UnblindedDispensationHistoryDTO
Type:
objectTitle:
UnblindedDispensationHistoryDTOContains unblinded dispensation history.
Show Source
Nested Schema : kitTypes
Type:
Show Source
array-
Array of:
object Kit Type Details
Title:
Kit Type DetailsContains kit type details.
Nested Schema : Kit Type Details
Type:
objectTitle:
Kit Type DetailsContains kit type details.
Show Source
-
description: string
Kit type description.Example:
Kit A -
dispensationDetails: array
dispensationDetails
-
id: string
(uuid)
ID of the kit type.
-
kitTypeName: string
Kit type name.Example:
Kit A -
packageType: string
Allowed Values:
[ "BLISTERPACK", "BOTTLE", "DEVICE", "SYRINGE", "OINTMENT", "VIAL", "INHALER", "INFUSION", "BOX", "OTHER" ]Package type.Example:INHALER -
packageTypeId: number
(double)
Allowed Values:
[ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 ]Unique ID corresponding to each package type value (1 for BLISTERPACK, 2 for BOTTLE, 3 for DEVICE, 4 for SYRINGE, 5 for OINTMENT, 6 for VIAL, 7 for INHALER, 8 for INFUSION, 9 for BOX, 10 for OTHER).Example:2
Nested Schema : dispensationDetails
Type:
Show Source
array-
Array of:
object Kit Dispensation
Title:
Kit DispensationContains kit dispensation details.
Nested Schema : Kit Dispensation
Type:
objectTitle:
Kit DispensationContains kit dispensation details.
Show Source
-
dispensationDate: string
(date-time)
Dispensation date.
-
inventoryStatus: number
(double)
Unique ID corresponding to each inventory status value (1 for Available, 2 for Damaged, 3 for Destroyed, 4 for Dispensed, 5 for Expired, 6 for Not in Use, 7 for Misallocated, 8 for Missing, 9 for In Transit, 10 for Quarantined, 11 for Pre-quarantined, 12 for Pending Destruction, 13 for Lost by Subject, 14 for Temporarily Unavailable, 15 for Damaged by Subject, 16 for New, 17 for Not Dispensed to Subject, 18 for Returned to Site, 19 for Conserved, 20 for Received for Destruction).Example:
5 -
kitNumber: number
(double)
Kit number.Example:
5
400 Response
Invalid parameters
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object404 Response
Invalid study ID or version. Or subject not found
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object